diff --git a/CMake/FLTKfunctions.cmake b/CMake/FLTKfunctions.cmake
index 87bef62..f856274 100644
--- a/CMake/FLTKfunctions.cmake
+++ b/CMake/FLTKfunctions.cmake
@@ -42,36 +42,44 @@ endfunction(FLTK_RUN_FLUID TARGET SOURCES)
 # called for Mac bundle handling
 function(FLTK_ADD_BUNDLE NAME RESOURCE_FILES plist DEFINITIONS)
 
-    if (APPLE)
+    if (APPLE OR USE_X11)
 
+	message(STATUS "FLTK_ADD_BUNDLE '${NAME}' '${RESOURCE_FILES}' '${plist}' '${DEFINITIONS}'")
         set_target_properties("${NAME}" PROPERTIES MACOSX_BUNDLE TRUE)
 
         set(ICON_NAME "${NAME}.icns")
+	message(STATUS "ICON_NAME = '${ICON_NAME}'")
 
         if(RESOURCE_FILES)
             foreach(RESOURCE_FILE IN LISTS RESOURCE_FILES)
+		message(STATUS "	find_file(RES '${RESOURCE_FILE}')")
                 find_file(RES "${RESOURCE_FILE}")
                 if(RES)
+		    message(STATUS "	set_target_properties('${NAME}' PROPERTIES RESOURCE '${RES}')")
                     set_target_properties("${NAME}" PROPERTIES RESOURCE "${RES}")
                 endif(RES)
                 get_filename_component(RESOURCE_PATH "${RESOURCE_FILE}" DIRECTORY)
+		message(STATUS "	include_directories('${RESOURCE_PATH}')")
                 include_directories("${RESOURCE_PATH}")
 
                 find_file(ICON_FILE "${ICON_NAME}" "${RESOURCE_PATH}")
                 if(ICON_FILE)
+		    message(STATUS "	set_target_properties('${NAME}' PROPERTIES MACOSX_BUNDLE_ICON_FILE '${ICON_NAME}')")
                     set_target_properties("${NAME}" PROPERTIES MACOSX_BUNDLE_ICON_FILE "${ICON_NAME}")
                 endif(ICON_FILE)
             endforeach(RESOURCE_FILE IN LISTS RESOURCE_LIST)
         endif(RESOURCE_FILES)
 
         if(DEFINITIONS)
+	    message(STATUS "	target_compile_definitions('${NAME}' PUBLIC '${DEFINITIONS}')")
             target_compile_definitions("${NAME}" PUBLIC "${DEFINITIONS}")
         endif(DEFINITIONS)
 
         if(plist)
+	    message(STATUS "	set_target_properties('${NAME}' PROPERTIES MACOSX_BUNDLE_INFO_PLIST '${plist}')")
 	    set_target_properties("${NAME}" PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${plist}")
         endif(plist)
 
-    endif (APPLE)
+    endif (APPLE OR USE_X11)
 
 endfunction(FLTK_ADD_BUNDLE NAME RESOURCE_FILES plist DEFINITIONS)
